<template>
  <!-- #ifdef H5 -->
  <zj-page-layout
    :hasFooter="true"
    :isScroll="true"
    :refresherTriggered="refresherTriggered"
    @refresherrefresh="refresherrefresh"
    @scrolltolower="scrolltolower"
  >
    <template slot="header"> </template>

    <template slot="footer"> </template>
  </zj-page-layout>
  <!-- #endif -->

  <!-- #ifndef H5 -->
  <web-view :src="webViewHref(`/pages/template`, pam, crossPagePam)" @message="crossPage.$listener"></web-view>
  <!-- #endif -->
</template>

<script>
// #ifdef H5
export default {
  data() {
    return {
      refresherTriggered: false,
    }
  },

  onLoad() {
    this.getDetail();
  },

  methods: {
    getDetail() {
      this.$api.get('xxxxx', {
        a: 1
      }).then(res => {

      })
    },

    // 下拉刷新
    refresherrefresh() {

    },

    // 触底加载
    scrolltolower() {

    }
  },
}

// #endif
// #ifndef H5
export default {
  data() {
    return {
      pam: {},
    }
  },
  onLoad(pam) {
    this.pam = pam;
  }
}
// #endif
</script>

<style lang="scss" scoped></style>
